aboutsummaryrefslogtreecommitdiff
path: root/publish.sh
diff options
context:
space:
mode:
authorSébastien Dailly <sebastien@chimrod.com>2015-03-19 14:24:47 +0100
committerSébastien Dailly <sebastien@chimrod.com>2015-03-19 14:24:47 +0100
commit0ad73de1d89956739738716f2d32652ca83164b5 (patch)
tree8ad7ddc8d0b2ad80ec2723914e014d3a2685e836 /publish.sh
parente10d5c7b0e54e1de8f7df9b4a8078e4331ee193d (diff)
Corrections
Diffstat (limited to 'publish.sh')
-rwxr-xr-xpublish.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/publish.sh b/publish.sh
index 4f1adf6..5fbc75d 100755
--- a/publish.sh
+++ b/publish.sh
@@ -2,5 +2,12 @@
source ~/.virtualenvs/pelican3.5/bin/activate
cd ~/pelican/
make publish
+
+find output -name '*.html' -print0 | xargs -0 grep "{filename}"
+if [ $? -eq 0 ]; then
+ echo Lien cassé dans les fichiers listés ci dessus.
+ exit 1
+fi
+
rsync -ra --del -e ssh output/ goku:/home/www/blog-chimrod/
rsync -ra --del -e ssh output/ vps71296:/srv/apache/blog-chimrod/